Volkszähler, libmodbus.a (3.1.4) wo?

25/10/2016 - 21:35 von Kay Martinen | Report spam
Hallo

ich versuche die volkszàhler-software auf einem Raspi 1b zu
installieren. Da ich zwei MODBUS RTU fàhigen Zàhler habe brauche ich
offensichtlich mbrtu und auch libmodbus und zwar so wie unter
http://wiki.volkszaehler.org/hardwa...630_modbus
Beschrieben. Nun habe ich diese beiden Tools runter geladen, libmodbus
3.1.4 mit configure, make und make install eingerichtet und will nun
mbrtu installieren.

Aber dazu soll ich lt. README.md eine libmodbus.a finden und in dessen
verzeichnis kopieren. Genau die finde ich nicht. Da ist nur eine
libmodbus.la und die dort hin zu kopieren bringt nichts weil make
abbricht mit dem fehler das die gewünschte datei nicht gefunden wurde.

Soll/kann ich die einfach umbenennen? Das scheint eine Textdatei zu
sein. Oder wo/wie bekomme ich die gesuchte datei hin/her?

Ich habe mit Programmieren und compilieren unter linux quasi keine
erfahrungen (außer gelegentliches kernel selbst erstellen - in den 90'n)

Kann mir bitte jemand einen Tip geben dazu?

Kay
https://www.linuxcounter.net/cert/224140.png
 

Lesen sie die antworten

#1 Edzard Egberts
26/10/2016 - 09:27 | Warnen spam
Kay Martinen schrieb:
Nun habe ich diese beiden Tools runter geladen, libmodbus
3.1.4 mit configure, make und make install eingerichtet und will nun
mbrtu installieren.

Aber dazu soll ich lt. README.md eine libmodbus.a finden und in dessen
verzeichnis kopieren. Genau die finde ich nicht.



Das ist die statische Version und die musst Du wohl noch bauen. Du musst
wahrscheinlich so etwas wie "./configure --build-static=yes" eingeben,
um die libmodbus.a zu bekommen. Mit "./configure --help" werden Dir die
verfügbaren Parameter angezeigt und da musst Du den oder die richtigen
heraussuchen, "build-static" kann da anders heißen, aber sinngemàß
vorhanden sein, da steht meistens noch etwas von "static library". Nach
dem configure noch einmal make und make install, dann müsste es klappen.

Ähnliche fragen